Subject: Re: bug#60557: [PATCH] Fix eglot prompt when connection already exists

From: João Távora <[email-masked]>
Date: Mon, 16 Jan 2023 11:53:14 +0000

Evgeni Kolev <[email-masked]> writes:

> Hi João, thank you for the detailed reply.
>
> Regarding 2.2), I don't fully understand it - could you clarify how
> 2.2) is different from the _user's_ perspective?

Hi Evgeni,

Because I think you've found an important flaw in Eglot, and in the
interest of speeding up this discussion I've just pushed a change to
progmodes/eglot.el that effects the alternative 2.2 I describe earlier.

I hope you have a chance to test it.  If you agree with the new
behaviour, this ticket can be closed.

[ Eli, I pushed this change to emacs-29 as this in effect a bugfix and
Eglot is a new package anyway.  Let me know if you'd rather I push this
to master instead (it doesn't make much of a difference in practice
since eglot.el is a GNU ELPA packge) ]

João